Package com.omnisci.thrift.server

## Class TCustomExpression

- java.lang.Object
- - com.omnisci.thrift.server.TCustomExpression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCustomExpression>`, `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`, `org.apache.thrift.TSerializable`

    public class TCustomExpression
    extends Object
    implements org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>, Serializable, Cloneable, Comparable<TCustomExpression>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCustomExpression._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `data_source_id`
`String` `data_source_name`
`TDataSourceType` `data_source_type`
`String` `expression_json`
`int` `id`
`boolean` `is_deleted`
`static Map<TCustomExpression._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`

### Constructor Summary

Constructors
`TCustomExpression()`
`TCustomExpression​(int id, String name, String expression_json, TDataSourceType data_source_type, int data_source_id, boolean is_deleted, String data_source_name)`
`TCustomExpression​(TCustomExpression other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCustomExpression other)`
`TCustomExpression` `deepCopy()`
`boolean` `equals​(TCustomExpression that)`
`boolean` `equals​(Object that)`
`TCustomExpression._Fields` `fieldForId​(int fieldId)`
`int` `getData_source_id()`
`String` `getData_source_name()`
`TDataSourceType` `getData_source_type()`
`String` `getExpression_json()`
`Object` `getFieldValue​(TCustomExpression._Fields field)`
`int` `getId()`
`String` `getName()`
`int` `hashCode()`
`boolean` `isIs_deleted()`
`boolean` `isSet​(TCustomExpression._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetData_source_id()` Returns true if field data_source_id is set (has been assigned a value) and false otherwise
`boolean` `isSetData_source_name()` Returns true if field data_source_name is set (has been assigned a value) and false otherwise
`boolean` `isSetData_source_type()` Returns true if field data_source_type is set (has been assigned a value) and false otherwise
`boolean` `isSetExpression_json()` Returns true if field expression_json is set (has been assigned a value) and false otherwise
`boolean` `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_deleted()` Returns true if field is_deleted is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TCustomExpression` `setData_source_id​(int data_source_id)`
`void` `setData_source_idIsSet​(boolean value)`
`TCustomExpression` `setData_source_name​(String data_source_name)`
`void` `setData_source_nameIsSet​(boolean value)`
`TCustomExpression` `setData_source_type​(TDataSourceType data_source_type)`
`void` `setData_source_typeIsSet​(boolean value)`
`TCustomExpression` `setExpression_json​(String expression_json)`
`void` `setExpression_jsonIsSet​(boolean value)`
`void` `setFieldValue​(TCustomExpression._Fields field, Object value)`
`TCustomExpression` `setId​(int id)`
`void` `setIdIsSet​(boolean value)`
`TCustomExpression` `setIs_deleted​(boolean is_deleted)`
`void` `setIs_deletedIsSet​(boolean value)`
`TCustomExpression` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetData_source_id()`
`void` `unsetData_source_name()`
`void` `unsetData_source_type()`
`void` `unsetExpression_json()`
`void` `unsetId()`
`void` `unsetIs_deleted()`
`void` `unsetName()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public int id

#### name

    public String name

#### expression_json

    public String expression_json

#### data_source_type

    public TDataSourceType data_source_type

See Also:
  `TDataSourceType`

#### data_source_id

    public int data_source_id

#### is_deleted

    public boolean is_deleted

#### data_source_name

    public String data_source_name

#### metaDataMap

    public static final Map<TCustomExpression._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCustomExpression

    public TCustomExpression()

#### TCustomExpression

    public TCustomExpression​(int id,
                             String name,
                             String expression_json,
                             TDataSourceType data_source_type,
                             int data_source_id,
                             boolean is_deleted,
                             String data_source_name)

#### TCustomExpression

    public TCustomExpression​(TCustomExpression other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCustomExpression deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### getId

    public int getId()

#### setId

    public TCustomExpression setId​(int id)

#### unsetId

    public void unsetId()

#### isSetId

    public boolean isSetId()

Returns true if field id is set (has been assigned a value) and false otherwise

#### setIdIsSet

    public void setIdIsSet​(boolean value)

#### getName

    public String getName()

#### setName

    public TCustomExpression setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getExpression_json

    public String getExpression_json()

#### setExpression_json

    public TCustomExpression setExpression_json​(String expression_json)

#### unsetExpression_json

    public void unsetExpression_json()

#### isSetExpression_json

    public boolean isSetExpression_json()

Returns true if field expression_json is set (has been assigned a value) and false otherwise

#### setExpression_jsonIsSet

    public void setExpression_jsonIsSet​(boolean value)

#### getData_source_type

    public TDataSourceType getData_source_type()

See Also:
  `TDataSourceType`

#### setData_source_type

    public TCustomExpression setData_source_type​(TDataSourceType data_source_type)

See Also:
  `TDataSourceType`

#### unsetData_source_type

    public void unsetData_source_type()

#### isSetData_source_type

    public boolean isSetData_source_type()

Returns true if field data_source_type is set (has been assigned a value) and false otherwise

#### setData_source_typeIsSet

    public void setData_source_typeIsSet​(boolean value)

#### getData_source_id

    public int getData_source_id()

#### setData_source_id

    public TCustomExpression setData_source_id​(int data_source_id)

#### unsetData_source_id

    public void unsetData_source_id()

#### isSetData_source_id

    public boolean isSetData_source_id()

Returns true if field data_source_id is set (has been assigned a value) and false otherwise

#### setData_source_idIsSet

    public void setData_source_idIsSet​(boolean value)

#### isIs_deleted

    public boolean isIs_deleted()

#### setIs_deleted

    public TCustomExpression setIs_deleted​(boolean is_deleted)

#### unsetIs_deleted

    public void unsetIs_deleted()

#### isSetIs_deleted

    public boolean isSetIs_deleted()

Returns true if field is_deleted is set (has been assigned a value) and false otherwise

#### setIs_deletedIsSet

    public void setIs_deletedIsSet​(boolean value)

#### getData_source_name

    public String getData_source_name()

#### setData_source_name

    public TCustomExpression setData_source_name​(String data_source_name)

#### unsetData_source_name

    public void unsetData_source_name()

#### isSetData_source_name

    public boolean isSetData_source_name()

Returns true if field data_source_name is set (has been assigned a value) and false otherwise

#### setData_source_nameIsSet

    public void setData_source_nameIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCustomExpression._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCustomExpression._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### isSet

    public boolean isSet​(TCustomExpression._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCustomExpression that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCustomExpression other)

Specified by:
  `compareTo` in interface `Comparable<TCustomExpression>`

#### fieldForId

    public TCustomExpression._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCustomExpression,​TCustomExpression._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`